Configurable (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.beans.factory.annotation

## Annotation Type Configurable

-     @Target(value=TYPE)
      @Retention(value=RUNTIME)
      @Inherited
      @Documented
      public @interface Configurable

  Marks a class as being eligible for Spring-driven configuration.

  Typically used with the AspectJ `AnnotationBeanConfigurerAspect`.

  Since:
    2.0
  Author:
    Rod Johnson, Rob Harrop, Adrian Colyer, Ramnivas Laddad

- - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `Autowire` | `autowire` Are dependencies to be injected via autowiring?
    `boolean` | `dependencyCheck` Is dependency checking to be performed for configured objects?
    `boolean` | `preConstruction` Are dependencies to be injected prior to the construction of an object?
    `String` | `value` The name of the bean definition that serves as the configuration template.

- - ### Element Detail

    - #### value

          public abstract String value

      The name of the bean definition that serves as the configuration template.
      Default:
        ""

    - #### autowire

          public abstract Autowire autowire

      Are dependencies to be injected via autowiring?
      Default:
        org.springframework.beans.factory.annotation.Autowire.NO

    - #### dependencyCheck

          public abstract boolean dependencyCheck

      Is dependency checking to be performed for configured objects?
      Default:
        false

    - #### preConstruction

          public abstract boolean preConstruction

      Are dependencies to be injected prior to the construction of an object?
      Default:
        false